Subject: Re: [PATCH v2] t: allow use of "sed -E"

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2026 06:43:45 -0700

"brian m. carlson" <[email-masked]> writes:

> Yes, I think if nobody has complained about it in three years, we should
> be fine.

This actually started when I noticed a recent rewrite of a test that
turned "grep -E ... | sed -e ..." into "sed -E -e ..." was flagged
by the test-lint.

It is not a huge deal to rewrite the resulting sed script again to
use BRE instead of ERE and it may not be a bad idea doing so anyway
(and rewrite the existing t6030).  That can be done independently.